/*
	Massively by HTML5 UP
	html5up.net | @ajlkn
	Free for personal and commercial use under the CCA 3.0 license (html5up.net/license)
*/

(function($) {

	var	$window = $(window),
		$body = $('body'),
		$wrapper = $('#wrapper'),
		$header = $('#header'),
		$nav = $('#nav'),
		$main = $('#main'),
		$navPanelToggle, $navPanel, $navPanelInner;

	// Breakpoints.
		breakpoints({
			default:   ['1681px',   null       ],
			xlarge:    ['1281px',   '1680px'   ],
			large:     ['981px',    '1280px'   ],
			medium:    ['737px',    '980px'    ],
			small:     ['481px',    '736px'    ],
			xsmall:    ['361px',    '480px'    ],
			xxsmall:   [null,       '360px'    ]
		});

	/**
	 * Applies parallax scrolling to an element's background image.
	 * @return {jQuery} jQuery object.
	 */
	$.fn._parallax = function(intensity) {

		var	$window = $(window),
			$this = $(this);

		if (this.length == 0 || intensity === 0)
			return $this;

		if (this.length > 1) {

			for (var i=0; i < this.length; i++)
				$(this[i])._parallax(intensity);

			return $this;

		}

		if (!intensity)
			intensity = 0.25;

		$this.each(function() {

			var $t = $(this),
				$bg = $('<div class="bg"></div>').appendTo($t),
				on, off;

			on = function() {

				$bg
					.removeClass('fixed')
					.css('transform', 'matrix(1,0,0,1,0,0)');

				$window
					.on('scroll._parallax', function() {

						var pos = parseInt($window.scrollTop()) - parseInt($t.position().top);

						$bg.css('transform', 'matrix(1,0,0,1,0,' + (pos * intensity) + ')');

					});

			};

			off = function() {

				$bg
					.addClass('fixed')
					.css('transform', 'none');

				$window
					.off('scroll._parallax');

			};

			// Disable parallax on ..
				if (browser.name == 'ie'			// IE
				||	browser.name == 'edge'			// Edge
				||	window.devicePixelRatio > 1		// Retina/HiDPI (= poor performance)
				||	browser.mobile)					// Mobile devices
					off();

			// Enable everywhere else.
				else {

					breakpoints.on('>large', on);
					breakpoints.on('<=large', off);

				}

		});

		$window
			.off('load._parallax resize._parallax')
			.on('load._parallax resize._parallax', function() {
				$window.trigger('scroll');
			});

		return $(this);

	};

	// Play initial animations on page load.
		$window.on('load', function() {
			window.setTimeout(function() {
				$body.removeClass('is-preload');
			}, 100);
		});

	// Scrolly.
		$('.scrolly').scrolly();

	// Background.
		$wrapper._parallax(0.925);

	// Nav Panel.

		// Toggle.
			$navPanelToggle = $(
				'<a href="#navPanel" id="navPanelToggle">Menu</a>'
			)
				.appendTo($wrapper);

			// Change toggle styling once we've scrolled past the header.
				$header.scrollex({
					bottom: '5vh',
					enter: function() {
						$navPanelToggle.removeClass('alt');
					},
					leave: function() {
						$navPanelToggle.addClass('alt');
					}
				});

		// Panel.
			$navPanel = $(
				'<div id="navPanel">' +
					'<nav>' +
					'</nav>' +
					'<a href="#navPanel" class="close"></a>' +
				'</div>'
			)
				.appendTo($body)
				.panel({
					delay: 500,
					hideOnClick: true,
					hideOnSwipe: true,
					resetScroll: true,
					resetForms: true,
					side: 'right',
					target: $body,
					visibleClass: 'is-navPanel-visible'
				});

			// Get inner.
				$navPanelInner = $navPanel.children('nav');

			// Move nav content on breakpoint change.
				var $navContent = $nav.children();

				breakpoints.on('>medium', function() {

					// NavPanel -> Nav.
						$navContent.appendTo($nav);

					// Flip icon classes.
						$nav.find('.icons, .icon')
							.removeClass('alt');

				});

				breakpoints.on('<=medium', function() {

					// Nav -> NavPanel.
						$navContent.appendTo($navPanelInner);

					// Flip icon classes.
						$navPanelInner.find('.icons, .icon')
							.addClass('alt');

				});

			// Hack: Disable transitions on WP.
				if (browser.os == 'wp'
				&&	browser.osVersion < 10)
					$navPanel
						.css('transition', 'none');

	// Intro.
		var $intro = $('#intro');

		if ($intro.length > 0) {

			// Hack: Fix flex min-height on IE.
				if (browser.name == 'ie') {
					$window.on('resize.ie-intro-fix', function() {

						var h = $intro.height();

						if (h > $window.height())
							$intro.css('height', 'auto');
						else
							$intro.css('height', h);

					}).trigger('resize.ie-intro-fix');
				}

			// Hide intro on scroll (> small).
				breakpoints.on('>small', function() {

					$main.unscrollex();

					$main.scrollex({
						mode: 'bottom',
						top: '25vh',
						bottom: '-50vh',
						enter: function() {
							$intro.addClass('hidden');
						},
						leave: function() {
							$intro.removeClass('hidden');
						}
					});

				});

			// Hide intro on scroll (<= small).
				breakpoints.on('<=small', function() {

					$main.unscrollex();

					$main.scrollex({
						mode: 'middle',
						top: '15vh',
						bottom: '-15vh',
						enter: function() {
							$intro.addClass('hidden');
						},
						leave: function() {
							$intro.removeClass('hidden');
						}
					});

			});

		}

})(jQuery);


window.onscroll = function() {navi();sidenav();check_width()};
//window.onscroll = function(){sidenav()};
var navbar = document.getElementById("nav");
var mainn = document.getElementById("main");
var sidebar = document.getElementById("side");
var ul = document.getElementById("ul");
var footer = document.getElementById("footer");
var stuff=document.getElementById("supernav");
if(ul!=null){
ul.style.top=navbar.offsetTop;
ul.style.zIndex="5";
}
function check_width(){
	//console.log(window.innerWidth);
	if(window.innerWidth <= 980){
		//console.log("width working")
		sidebar.style.display="none";
		mainn.style.display="block";
		mainn.style.width="auto";
	}
}
var sticky = navbar.offsetTop;
var height = navbar.offsetHeight;
var sticky2 = sidebar.offsetTop;
sidebar.style.zIndex=3;

function navi() {
	/*sidebar.style.top = `${sticky+height}px`;
	if(ul!=null){ul.style.top = `2px`;
	}*/

  if (window.pageYOffset >= sticky) {
		const var_5 = sticky;
		const var_6 = window.pageYOffset;
    navbar.style.zIndex="50";
	  navbar.style.position="fixed";
		//sidebar.style.position="sticky";
		if(ul!=null){
			stuff.style.height="0rem";
			//ul.style.display="block";
	  ul.style.position="fixed";
		ul.style.top="4rem";
		ul.style.height="90%";

	}
	if (document.getElementById('lastli')!=null && ul !=null){
	var a=document.getElementById('footer').offsetTop-document.getElementById('lastli').offsetTop-document.getElementById('lastli').offsetHeight-document.getElementById('nav').offsetHeight;
  if(window.pageYOffset>=a){
 	 //console.log('footer');
	 ul.style.position='absolute';
 	 ul.style.top=`${a+document.getElementById('nav').offsetHeight}px`;
 }
}
 //console.log('yo'+document.getElementById('footer').offsetTop);
 //console.log(document.getElementById('footer').offsetTop-document.getElementById('lastli').offsetTop-document.getElementById('lastli').offsetHeight-document.getElementById('nav').offsetHeight);
 //console.log(window.pageYOffest);
 //console.log(window.pageYOffset);

		//sidebar.style.zIndex="4";
	  //ul.style.top = "1px";
    navbar.style.top="4rem";
    navbar.style.left=`${mainn.offsetLeft}px`;
  }/*else if(window.pageYoffset >= footer.offsetTop-1) {
		ul.style.position="relative";
		ul.style.display="block";
		ul.style.zIndex="4";
		ul.style.top="0px";
	}*/
	else{
    navbar.style.zIndex="5";
    navbar.style.position="relative";
	  if(ul!=null){
			stuff.style.height="4rem";
			ul.style.position="relative";
			//ul.style.display="block";
			ul.style.zIndex="4";
			ul.style.top="0px";
			ul.style.height="50rem";
			//ul.style.display="none";
	//ul.style.top=`${mainn.offsetTop}px`
}
    navbar.style.top="0";
    navbar.style.left="auto";
  }

}

function sidenav(){
let mainNavLinks = document.querySelectorAll("#supernav #ul li a");
//let mainSections = document.querySelectorAll("#main #column section");



let lastId;
let cur = [];

// This should probably be throttled.
// Especially because it triggers during smooth scrolling.
// https://lodash.com/docs/4.17.10#throttle
// You could do like...
// window.addEventListener("scroll", () => {
//    _.throttle(doThatStuff, 100);
// });
// Only not doing it here to keep this Pen dependency-free.


  let fromTop = window.scrollY;

  mainNavLinks.forEach(link => {
    let section = document.querySelector(link.hash);
    if (
      section.offsetTop <= fromTop &&
      section.offsetTop + section.offsetHeight  > fromTop
    ) {
      link.classList.add("current");

    } else {
      link.classList.remove("current");

    }
  });
};



var intros = document.getElementById("intro");
if (!(intros==null)){
intros.style.left = `${mainn.offsetLeft}px`;
intros.style.width = `${mainn.offsetWidth}px`;
}
