tRange = [0 1];

[tSol, SSol] = ode45(@odefun, tRange, [0.01; 0.01; 100000000; 0; 0]);

hold on
xlabel("Time (hours)")
ylabel("Concentration (M)")
plot(tSol, SSol(:,1))
plot(tSol, SSol(:,2))
%plot(tSol, SSol(:,3))
plot(tSol, SSol(:,4))
plot(tSol, SSol(:,5))
hold off
legend('O','S','I','P')
%legend('N')

function dSdt = odefun(~, S)
    %Defining variables OSNIP order in ode
    k1 = 0.001; k_1 = 0.001; km = 0.001; k2 = 0.001;
    k1d = 0.002; k_1d = 0.001; kmd = 0.001; k2d = 0.02;
    k1e = 0.001; k_1e = 0.001; kme = 0.001; 
    kd = 0.8;
    e10 = 10; e20 = 10;
    N0 = 100000000;
    r = 0.00002;
    lbd = 90000; lbde = 90000;
    kh = 0.0001;
    b = 10;
    alpha = 1/(1+b*S(1));
    muN = 0.006;
    St = 0.1;
    Sl = St*kh/(kh+1);
    Sg = St/(kh+1);

    dSdt = [k_1e-k1e*e10*S(2)*S(1)+k1e*S(2)*S(1)+k1d-k1d*e20*S(4)*S(1)+k1e*S(4)*S(1)-muN; kd*(Sl - S(2)); r*S(3)*(N0-S(3))-(lbd*S(5)+lbde*S(2))*S(3); k2*alpha*S(2)*e10/(km+alpha*S(2))+(k_1*S(4)*S(1)*e20-k1d*S(4)*S(1)*e10)/(kmd+S(4)*S(1)); k2d*S(4)*S(1)*e20/(kmd+S(4)*S(1))];
end