from os import path
from pathlib import Path

from flask import Flask, render_template
from flask_frozen import Freezer


template_folder = path.abspath('./')

app = Flask(__name__, template_folder=template_folder+'/pages', static_folder=Path(template_folder+"/assets"))
print(template_folder)
#app.config['FREEZER_BASE_URL'] = environ.get('CI_PAGES_URL')
app.config['FREEZER_DESTINATION'] = 'public'
app.config['FREEZER_RELATIVE_URLS'] = True
app.config['FREEZER_IGNORE_MIMETYPE_WARNINGS'] = True
freezer = Freezer(app)

@app.cli.command()
def freeze():
    freezer.freeze()

@app.cli.command()
def serve():
    freezer.run()

@app.route('/')
def indexx():
    return render_template('index.html')
@app.route('/design')
def render_design():
	return render_template('design.html')
@app.route('/index')
def render_index():
	return render_template('index.html')
#@app.route('/special-awards')
#def render_special_awards():
#	return render_template('special-awards.html')
@app.route('/proof-of-concept')
def render_proof_of_concept():
	return render_template('proof-of-concept.html')
@app.route('/lab-notebook')
def render_lab_notebook():
	return render_template('lab-notebook.html')
@app.route('/inclusivity')
def render_inclusivity():
	return render_template('inclusivity.html')
@app.route('/sustainable')
def render_sustainable():
	return render_template('sustainable.html')
@app.route('/integrated-human-practices')
def render_integrated_human_practices():
	return render_template('integrated-human-practices.html')
@app.route('/contribution')
def render_contribution():
	return render_template('contribution.html')
@app.route('/parts')
def render_parts():
	return render_template('parts.html')
@app.route('/experiments')
def render_experiments():
	return render_template('experiments.html')
@app.route('/description')
def render_description():
	return render_template('description.html')
@app.route('/medal-criteria')
def render_medal_criteria():
	return render_template('medal-criteria.html')
@app.route('/members')
def render_members():
	return render_template('members.html')
@app.route('/engineering')
def render_engineering():
	return render_template('engineering.html')
@app.route('/development')
def render_development():
	return render_template('development.html')
@app.route('/results')
def render_results():
	return render_template('results.html')
@app.route('/communication')
def render_communication():
	return render_template('communication.html')
@app.route('/biocontainment')
def render_biocontainment():
	return render_template('biocontainment.html')
@app.route('/human-practices')
def render_human_practices():
	return render_template('human-practices.html')
@app.route('/attributions')
def render_attributions():
	return render_template('attributions.html')
@app.route('/implementation')
def render_implementation():
	return render_template('implementation.html')
@app.route('/education')
def render_education():
	return render_template('education.html')
@app.route('/collaborations')
def render_collaborations():
	return render_template('collaborations.html')
@app.route('/hardware')
def render_hardware():
	return render_template('hardware.html')
@app.route('/model')
def render_model():
	return render_template('model.html')
@app.route('/future-plans')
def render_future_plans():
	return render_template('future-plans.html')
@app.route('/partnership')
def render_partnership():
	return render_template('partnership.html')
@app.route('/elements')
def render_elements():
	return render_template('elements.html')
@app.route('/achievements')
def render_achievements():
    return render_template('achievements.html')

'''
@app.route('/<page>')
def pages(page):
    return render_template(f'{page.lower()}.html')
'''
# Main Function, Runs at http://0.0.0.0:8080
if __name__ == "__main__":
    app.run(port=8080)
